#!/bin/bash

. ./config
. ./version

if [ ! -d $LOGPATH ]; then
        mkdir -p $LOGPATH
fi

usage(){
	echo "Usage: ${0##*/} [OPTION]"
	echo "Build Debian package of cross toolchain"
	echo ""
	cat << EOF
	-h	displays this help
	-v	displays version number
	-q	no output, runs completely on background

	Check log.html file (bug: libs always is marked as failed)
	All log info is under logs/
		build.log			buildcross log
		<host>-<target>-<package>.log	package log
EOF
}

case $1 in
 -h)
 	usage
	exit 0
	;;
 -v)
 	echo "Version: $BCT_VER"
        exit 0
	;;
 -q)
	echo "Buildcross has no output, so it runs on background."
	echo "Check log.html when time is displayed"
        SILENT="y"
	;;
esac

for ARCH in $ARCHLIST; do
    for PKG in $PKGLIST; do
        # Builds certain PKG for certain ARCH
        if [ "$SILENT" = y ]; then
            ./build.sh $PKG $ARCH > $LOGPATH/build.log 2>&1 &
        else
            ./build.sh $PKG $ARCH 2>&1 | tee $LOGPATH/build.log
        fi

        if [ ${PIPESTATUS[0]} != 0 ]; then
            echo "build $PKG for $ARCH is failed"
            exit 1
        fi
    done
done
